%define anolis_release 2
%bcond_with check

Name:           spice-gtk
Version:        0.42
Release:        %{anolis_release}%{?dist}
Summary:        A GTK+ widget for SPICE clients

License:        LGPLv2+
URL:            https://www.spice-space.org/spice-gtk.html
Source0:        https://www.spice-space.org/download/gtk/%{name}-%{version}%{?_version_suffix}.tar.xz

BuildRequires: meson >= 0.56
BuildRequires: /usr/bin/gtkdoc-fixxref
BuildRequires: /usr/bin/gtkdoc-mkdb
BuildRequires: /usr/bin/gtkdoc-mkhtml
BuildRequires: /usr/bin/gtkdoc-scan
BuildRequires: /usr/bin/gtkdoc-scangobj
BuildRequires: /usr/bin/msgfmt
BuildRequires: /usr/bin/msginit
BuildRequires: /usr/bin/msgmerge
BuildRequires: /usr/bin/xgettext
BuildRequires: /usr/bin/pod2man
BuildRequires: /usr/bin/vapigen
BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(gio-2.0) >= 2.52
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.52
BuildRequires: pkgconfig(gobject-2.0) >= 2.52
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.94
BuildRequires: pkgconfig(gstreamer-1.0) >= 1.10
BuildRequires: pkgconfig(gstreamer-app-1.0) >= 1.10
BuildRequires: pkgconfig(gstreamer-audio-1.0) >= 1.10
BuildRequires: pkgconfig(gstreamer-base-1.0) >= 1.10
BuildRequires: pkgconfig(gstreamer-video-1.0) >= 1.10
BuildRequires: pkgconfig(gtk+-3.0) >= 0.9.14
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libacl)
BuildRequires: pkgconfig(libcacard) >= 2.5.1
BuildRequires: pkgconfig(libcap-ng)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(liblz4)
BuildRequires: pkgconfig(libphodav-3.0)
BuildRequires: pkgconfig(libsasl2)
BuildRequires: pkgconfig(libsoup-3.0) >= 3.0
BuildRequires: pkgconfig(libusb-1.0) >= 1.0.21
BuildRequires: pkgconfig(libusbredirhost) >= 0.7.1
BuildRequires: pkgconfig(libusbredirparser-0.5) >= 0.7.1
BuildRequires: pkgconfig(libva-x11)
BuildRequires: pkgconfig(openssl) >= 1.0.0
BuildRequires: pkgconfig(opus) >= 0.9.14
BuildRequires: pkgconfig(pixman-1) >= 0.17.7
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.101
BuildRequires: pkgconfig(spice-protocol) >= 0.14.3
BuildRequires: pkgconfig(wayland-client) >= 1.17
BuildRequires: pkgconfig(wayland-cursor) >= 1.17
BuildRequires: pkgconfig(wayland-protocols) >= 1.17
BuildRequires: pkgconfig(wayland-scanner) >= 1.17
BuildRequires: pkgconfig(wayland-server) >= 1.17
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(zlib)
BuildRequires: python3dist(pyparsing)
BuildRequires: python3dist(six)

Obsoletes: spice-gtk-python < 0.32

%description
Client libraries for SPICE desktop servers.

%package doc
Summary:        Documentation files for %{name}
Requires:       spice-gtk3 = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n spice-glib
Summary: A GObject for communicating with Spice servers

%description -n spice-glib
spice-client-glib-2.0 is a SPICE client library for GLib2.

%package -n spice-glib-devel
Summary: Development files to build Glib2 applications with spice-glib-2.0
Requires: spice-glib = %{version}-%{release}

%description -n spice-glib-devel
spice-client-glib-2.0 is a SPICE client library for GLib2.

Libraries, includes, etc. to compile with the spice-glib-2.0 libraries

%package -n spice-gtk3
Summary: A GTK3 widget for SPICE clients
Requires: spice-glib = %{version}-%{release}

%description -n spice-gtk3
spice-client-glib-3.0 is a SPICE client library for Gtk3.

%package -n spice-gtk3-devel
Summary: Development files to build GTK3 applications with spice-gtk-3.0
Requires: spice-gtk3 = %{version}-%{release}
Requires: spice-glib-devel = %{version}-%{release}
provides: spice-gtk3-vala = %{version}-%{release}
Obsoletes: spice-gtk3-vala < %{version}-%{release}
Obsoletes: spice-gtk-devel < 0.32

%description -n spice-gtk3-devel
spice-client-gtk-3.0 provides a SPICE viewer widget for GTK3.

Libraries, includes, etc. to compile with the spice-gtk3 libraries

%package tools
Summary: Spice-gtk tools
Requires: spice-gtk3 = %{version}-%{release}

%description tools
Simple clients for interacting with SPICE servers.
spicy is a client to a SPICE desktop server.
spicy-screenshot is a tool to capture screen-shots of a SPICE desktop.

%prep
%autosetup -p1

%build
%meson \
  -Dbuiltin-mjpeg=false \
  -Dusb-acl-helper-dir=%{_libexecdir}/spice-gtk-%{_arch}/ \
  -Dusb-ids-path=%{_datadir}/hwdata/

%meson_build

%if %{with check}
%check
%meson_test
%endif

%install
%meson_install

%find_lang %{name}

%generate_compatibility_deps

%files
%{_mandir}/man1/spice-client.1*

%files doc
%doc AUTHORS README.md CHANGELOG.md

%files -n spice-glib -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_libdir}/libspice-client-glib-2.0.so.*
%{abidir}/libspice-client-glib-2.0.dump
%{_libdir}/girepository-1.0/SpiceClientGLib-2.0.typelib
%dir %{_libexecdir}/spice-gtk-%{_arch}/
%attr(4755, root, root) %{_libexecdir}/spice-gtk-%{_arch}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy

%files -n spice-glib-devel
%{_libdir}/libspice-client-glib-2.0.so
%{_includedir}/spice-client-glib-2.0
%{_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{_datadir}/gir-1.0/SpiceClientGLib-2.0.gir
%doc %{_datadir}/gtk-doc/html/*

%files -n spice-gtk3
%license COPYING
%{_libdir}/libspice-client-gtk-3.0.so.*
%{abidir}/libspice-client-gtk-3.0.dump
%{_libdir}/girepository-1.0/SpiceClientGtk-3.0.typelib

%files -n spice-gtk3-devel
%{_libdir}/libspice-client-gtk-3.0.so
%{_includedir}/spice-client-gtk-3.0
%{_libdir}/pkgconfig/spice-client-gtk-3.0.pc
%{_datadir}/gir-1.0/SpiceClientGtk-3.0.gir
%{_datadir}/vala/vapi/spice-client-glib-2.0.deps
%{_datadir}/vala/vapi/spice-client-glib-2.0.vapi
%{_datadir}/vala/vapi/spice-client-gtk-3.0.deps
%{_datadir}/vala/vapi/spice-client-gtk-3.0.vapi

%files tools
%{_bindir}/spicy
%{_bindir}/spicy-screenshot
%{_bindir}/spicy-stats
%{abidir}/*.list

%changelog
* Wed Apr 05 2023 happy_orange <songnannan@linux.alibaba.com> - 0.42-2
- add provides of spice-gtk3-vala

* Fri Mar 31 2023 Funda Wang <fundawang@yeah.net> - 0.42-1
- Import package for anolis 23
